#### PyKDE - Python Bindings for KDE

# class KOCRDialogFactory |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KOCRDialogFactory (abstract)
Inherits | KLibFactory

### methods

- KOCRDialogFactory (parent = 0, name = 0)

  returns a KOCRDialogFactory instance
  Argument | Type | Default
  --- | --- | ---
  parent | QObject | 0
  name | char | 0

- createDialog (parent = 0, name = 0, modal = 0) = 0

  returns (KOCRDialog)
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0
  name | char | 0
  modal | bool | 0

- createObject (parent = 0, name = 0, classname = "QObject", args = QStringList ())

  returns (QObject)
  Argument | Type | Default
  --- | --- | ---
  parent | QObject | 0
  name | char | 0
  classname | char | "QObject"
  args | QStringList | QStringList ()

- instance ()

  returns (KInstance)

- setName (instanceName)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  instanceName | QCString |